const path = require('path')

function resolve(dir) {
    return path.join(__dirname, dir)
}

module.exports = {
    css: {
        loaderOptions: {
            sass: {
                //注意@import后的分号，不然各种错误
                data: `
                @import "@/color/color.scss";
                `
            }
        }
    },
    chainWebpack: config => {
        config.resolve
            .alias
            .set('numeric-keyboard$', 'numeric-keyboard/dist/numericInput.js')
        // fix error above by excluding node_modules
        config.module
            .rule('js')
            .exclude
            .add(/node_modules/)
            .end()
    },
    // baseUrl: process.env.NODE_ENV === 'production' ? './' : '',
    productionSourceMap: process.env.NODE_ENV === 'production' ? false : true
}